### Class

# GimpUi UnitStore

#### Description [src]

    class GimpUi.UnitStore : GObject.Object
      implements Gtk.TreeModel {
      /* No available fields */
    }

A model for `GimpUnit` views.

#### Ancestors

- GObject

#### Implements

- GtkTreeModel

#### Constructors

###### gimp_unit_store_new

No description available.

#### Instance methods

###### gimp_unit_store_get_has_percent

No description available.

###### gimp_unit_store_get_has_pixels

No description available.

###### gimp_unit_store_get_nth_value

No description available.

###### gimp_unit_store_get_values

No description available.

###### gimp_unit_store_set_has_percent

No description available.

###### gimp_unit_store_set_has_pixels

No description available.

###### gimp_unit_store_set_pixel_value

No description available.

###### gimp_unit_store_set_pixel_values

No description available.

###### gimp_unit_store_set_resolution

No description available.

###### gimp_unit_store_set_resolutions

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GtkTreeModel (28)

Please see GtkTreeModel for a full list of methods.

#### Properties

###### GimpUi.UnitStore:has-percent

No description available.

###### GimpUi.UnitStore:has-pixels

No description available.

###### GimpUi.UnitStore:long-format

No description available.

###### GimpUi.UnitStore:num-values

No description available.

###### GimpUi.UnitStore:short-format

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GtkTreeModel (5)

###### GtkTreeModel::row-changed

This signal is emitted when a row in the model has changed.

###### GtkTreeModel::row-deleted

This signal is emitted when a row has been deleted.

###### GtkTreeModel::row-has-child-toggled

This signal is emitted when a row has gotten the first child row or lost its last child row.

###### GtkTreeModel::row-inserted

This signal is emitted when a new row has been inserted in the model.

###### GtkTreeModel::rows-reordered

This signal is emitted when the children of a node in the `GtkTreeModel` have been reordered.

#### Class structure

    struct GimpUiUnitStoreClass {
      GObjectClass parent_class;
      void (* _gimp_reserved0) (
    void
      );
      void (* _gimp_reserved1) (
    void
      );
      void (* _gimp_reserved2) (
    void
      );
      void (* _gimp_reserved3) (
    void
      );
      void (* _gimp_reserved4) (
    void
      );
      void (* _gimp_reserved5) (
    void
      );
      void (* _gimp_reserved6) (
    void
      );
      void (* _gimp_reserved7) (
    void
      );
      void (* _gimp_reserved8) (
    void
      );
      void (* _gimp_reserved9) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_gimp_reserved0: void (* _gimp_reserved0) ( void )`

  No description available.

`_gimp_reserved1: void (* _gimp_reserved1) ( void )`

  No description available.

`_gimp_reserved2: void (* _gimp_reserved2) ( void )`

  No description available.

`_gimp_reserved3: void (* _gimp_reserved3) ( void )`

  No description available.

`_gimp_reserved4: void (* _gimp_reserved4) ( void )`

  No description available.

`_gimp_reserved5: void (* _gimp_reserved5) ( void )`

  No description available.

`_gimp_reserved6: void (* _gimp_reserved6) ( void )`

  No description available.

`_gimp_reserved7: void (* _gimp_reserved7) ( void )`

  No description available.

`_gimp_reserved8: void (* _gimp_reserved8) ( void )`

  No description available.

`_gimp_reserved9: void (* _gimp_reserved9) ( void )`

  No description available.